Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast
Class ClassCodeVisitorSupport

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.ast.ClassCodeVisitorSupport

All Implemented Interfaces:
  GroovyClassVisitor, GroovyCodeVisitor

Direct Known Subclasses:
  ASTTransformationCollectorCodeVisitor, ASTTransformationVisitor, ClassCodeExpressionTransformer, ClassCompletionVerifier, ClassGenerator, DependencyTracker, EnumVisitor, GenericsVisitor, GrabAnnotationTransformation, InnerClassVisitor, LabelVerifier, StatementReplacingVisitorSupport, VariableScopeVisitor

    public abstract class ClassCodeVisitorSupport
    extends CodeVisitorSupport
    implements GroovyClassVisitor

Constructor Summary
Constructor and Description
`ClassCodeVisitorSupport()`

Method Summary
Modifier and Type | Method and Description
--- | ---
`protected void` | `addError(String msg, ASTNode expr)`
`protected abstract SourceUnit` | `getSourceUnit()`
`void` | `visitAnnotations(AnnotatedNode node)`
`void` | `visitAssertStatement(AssertStatement statement)`
`void` | `visitBlockStatement(BlockStatement block)`
`void` | `visitBreakStatement(BreakStatement statement)`
`void` | `visitCaseStatement(CaseStatement statement)`
`void` | `visitCatchStatement(CatchStatement statement)`
`void` | `visitClass(ClassNode node)`
`protected void` | `visitClassCodeContainer(Statement code)`
`void` | `visitConstructor(ConstructorNode node)`
`protected void` | `visitConstructorOrMethod(MethodNode node, boolean isConstructor)`
`void` | `visitContinueStatement(ContinueStatement statement)`
`void` | `visitDoWhileLoop(DoWhileStatement loop)`
`void` | `visitExpressionStatement(ExpressionStatement statement)`
`void` | `visitField(FieldNode node)`
`void` | `visitForLoop(ForStatement forLoop)`
`void` | `visitIfElse(IfStatement ifElse)`
`void` | `visitImports(ModuleNode node)`
`void` | `visitMethod(MethodNode node)`
`protected void` | `visitObjectInitializerStatements(ClassNode node)`
`void` | `visitPackage(PackageNode node)`
`void` | `visitProperty(PropertyNode node)`
`void` | `visitReturnStatement(ReturnStatement statement)`
`protected void` | `visitStatement(Statement statement)`
`void` | `visitSwitch(SwitchStatement statement)`
`void` | `visitSynchronizedStatement(SynchronizedStatement statement)`
`void` | `visitThrowStatement(ThrowStatement statement)`
`void` | `visitTryCatchFinally(TryCatchStatement statement)`
`void` | `visitVariableExpression(VariableExpression expression)`
`void` | `visitWhileLoop(WhileStatement loop)`

Methods inherited from class org.codehaus.groovy.ast.CodeVisitorSupport
`visitArgumentlistExpression, visitArrayExpression, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBooleanExpression, visitBytecodeExpression, visitCastExpression, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitDeclarationExpression, visitEmptyStatement, visitFieldExpression, visitGStringExpression, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitRegexExpression, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitTernaryExpression, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassCodeVisitorSupport

    public ClassCodeVisitorSupport()

Method Detail

### visitClass

    public void visitClass(ClassNode node)

  Specified by:
    `visitClass` in interface `GroovyClassVisitor`

### visitObjectInitializerStatements

    protected void visitObjectInitializerStatements(ClassNode node)

### visitPackage

    public void visitPackage(PackageNode node)

### visitImports

    public void visitImports(ModuleNode node)

### visitAnnotations

    public void visitAnnotations(AnnotatedNode node)

### visitClassCodeContainer

    protected void visitClassCodeContainer(Statement code)

### visitVariableExpression

    public void visitVariableExpression(VariableExpression expression)

  Specified by:
    `visitVariableExpression` in interface `GroovyCodeVisitor`
  Overrides:
    `visitVariableExpression` in class `CodeVisitorSupport`

### visitConstructorOrMethod

    protected void visitConstructorOrMethod(MethodNode node,
                                            boolean isConstructor)

### visitConstructor

    public void visitConstructor(ConstructorNode node)

  Specified by:
    `visitConstructor` in interface `GroovyClassVisitor`

### visitMethod

    public void visitMethod(MethodNode node)

  Specified by:
    `visitMethod` in interface `GroovyClassVisitor`

### visitField

    public void visitField(FieldNode node)

  Specified by:
    `visitField` in interface `GroovyClassVisitor`

### visitProperty

    public void visitProperty(PropertyNode node)

  Specified by:
    `visitProperty` in interface `GroovyClassVisitor`

### addError

    protected void addError(String msg,
                            ASTNode expr)

### getSourceUnit

    protected abstract SourceUnit getSourceUnit()

### visitStatement

    protected void visitStatement(Statement statement)

### visitAssertStatement

    public void visitAssertStatement(AssertStatement statement)

  Specified by:
    `visitAssertStatement` in interface `GroovyCodeVisitor`
  Overrides:
    `visitAssertStatement` in class `CodeVisitorSupport`

### visitBlockStatement

    public void visitBlockStatement(BlockStatement block)

  Specified by:
    `visitBlockStatement` in interface `GroovyCodeVisitor`
  Overrides:
    `visitBlockStatement` in class `CodeVisitorSupport`

### visitBreakStatement

    public void visitBreakStatement(BreakStatement statement)

  Specified by:
    `visitBreakStatement` in interface `GroovyCodeVisitor`
  Overrides:
    `visitBreakStatement` in class `CodeVisitorSupport`

### visitCaseStatement

    public void visitCaseStatement(CaseStatement statement)

  Specified by:
    `visitCaseStatement` in interface `GroovyCodeVisitor`
  Overrides:
    `visitCaseStatement` in class `CodeVisitorSupport`

### visitCatchStatement

    public void visitCatchStatement(CatchStatement statement)

  Specified by:
    `visitCatchStatement` in interface `GroovyCodeVisitor`
  Overrides:
    `visitCatchStatement` in class `CodeVisitorSupport`

### visitContinueStatement

    public void visitContinueStatement(ContinueStatement statement)

  Specified by:
    `visitContinueStatement` in interface `GroovyCodeVisitor`
  Overrides:
    `visitContinueStatement` in class `CodeVisitorSupport`

### visitDoWhileLoop

    public void visitDoWhileLoop(DoWhileStatement loop)

  Specified by:
    `visitDoWhileLoop` in interface `GroovyCodeVisitor`
  Overrides:
    `visitDoWhileLoop` in class `CodeVisitorSupport`

### visitExpressionStatement

    public void visitExpressionStatement(ExpressionStatement statement)

  Specified by:
    `visitExpressionStatement` in interface `GroovyCodeVisitor`
  Overrides:
    `visitExpressionStatement` in class `CodeVisitorSupport`

### visitForLoop

    public void visitForLoop(ForStatement forLoop)

  Specified by:
    `visitForLoop` in interface `GroovyCodeVisitor`
  Overrides:
    `visitForLoop` in class `CodeVisitorSupport`

### visitIfElse

    public void visitIfElse(IfStatement ifElse)

  Specified by:
    `visitIfElse` in interface `GroovyCodeVisitor`
  Overrides:
    `visitIfElse` in class `CodeVisitorSupport`

### visitReturnStatement

    public void visitReturnStatement(ReturnStatement statement)

  Specified by:
    `visitReturnStatement` in interface `GroovyCodeVisitor`
  Overrides:
    `visitReturnStatement` in class `CodeVisitorSupport`

### visitSwitch

    public void visitSwitch(SwitchStatement statement)

  Specified by:
    `visitSwitch` in interface `GroovyCodeVisitor`
  Overrides:
    `visitSwitch` in class `CodeVisitorSupport`

### visitSynchronizedStatement

    public void visitSynchronizedStatement(SynchronizedStatement statement)

  Specified by:
    `visitSynchronizedStatement` in interface `GroovyCodeVisitor`
  Overrides:
    `visitSynchronizedStatement` in class `CodeVisitorSupport`

### visitThrowStatement

    public void visitThrowStatement(ThrowStatement statement)

  Specified by:
    `visitThrowStatement` in interface `GroovyCodeVisitor`
  Overrides:
    `visitThrowStatement` in class `CodeVisitorSupport`

### visitTryCatchFinally

    public void visitTryCatchFinally(TryCatchStatement statement)

  Specified by:
    `visitTryCatchFinally` in interface `GroovyCodeVisitor`
  Overrides:
    `visitTryCatchFinally` in class `CodeVisitorSupport`

### visitWhileLoop

    public void visitWhileLoop(WhileStatement loop)

  Specified by:
    `visitWhileLoop` in interface `GroovyCodeVisitor`
  Overrides:
    `visitWhileLoop` in class `CodeVisitorSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD